NXP NFC Reader Library v4.040.05.011646

Data Structures | Macros | Functions
Component : Software
Common » KeyStore

Keystore implementation in Software. More...

Collaboration diagram for Component : Software:

## Data Structures
struct | phKeyStore_Sw_KeyVersionPair_t
| Sw KeyVersionPair structure. More...
struct | phKeyStore_Sw_KeyEntry_t
| Sw KeyEntry structure. More...
struct | phKeyStore_Sw_KUCEntry_t
| Sw KeyUsageCounter structure. More...
struct | phKeyStore_Sw_DataParams_t
| Sw parameter structure. More...

## Macros
#define | PH_KEYSTORE_SW_ID 0x01
| ID for Software KeyStore component. More...
#define | PH_KEYSTORE_SW_MAX_KEY_SIZE 32U
| Maximum size of a Key. More...

## Functions
phStatus_t | phKeyStore_Sw_Init (phKeyStore_Sw_DataParams_t *pDataParams, uint16_t wSizeOfDataParams, phKeyStore_Sw_KeyEntry_t *pKeyEntries, uint16_t wNoOfKeyEntries, phKeyStore_Sw_KeyVersionPair_t *pKeyVersionPairs, uint16_t wNoOfVersionPairs, phKeyStore_Sw_KUCEntry_t *pKUCEntries, uint16_t wNoOfKUCEntries)
| Initialise this layer. More...

## Detailed Description

Keystore implementation in Software.

## Macro Definition Documentation

## § PH_KEYSTORE_SW_ID

#define PH_KEYSTORE_SW_ID 0x01

ID for Software KeyStore component.

## § PH_KEYSTORE_SW_MAX_KEY_SIZE

#define PH_KEYSTORE_SW_MAX_KEY_SIZE 32U

Maximum size of a Key.

## Function Documentation

## § phKeyStore_Sw_Init()

phStatus_t phKeyStore_Sw_Init | ( | phKeyStore_Sw_DataParams_t * | pDataParams,
|  | uint16_t | wSizeOfDataParams,
|  | phKeyStore_Sw_KeyEntry_t * | pKeyEntries,
|  | uint16_t | wNoOfKeyEntries,
|  | phKeyStore_Sw_KeyVersionPair_t * | pKeyVersionPairs,
|  | uint16_t | wNoOfVersionPairs,
|  | phKeyStore_Sw_KUCEntry_t * | pKUCEntries,
|  | uint16_t | wNoOfKUCEntries
| ) |  |

Initialise this layer.

Returns
  Status code

Return values

  PH_ERR_SUCCESS | Operation successful.

Parameters

  [in] | pDataParams | Pointer to this layer's parameter structure.
  [in] | wSizeOfDataParams | Specifies the size of the data parameter structure.
  [in] | pKeyEntries | Pointer to a storage containing the key entries.
  [in] | wNoOfKeyEntries | size of pKeyEntries.
  [in] | pKeyVersionPairs | Pointer to a storage containing the key version pairs.
  [in] | wNoOfVersionPairs | amount of key versions available in each key entry.
  [in] | pKUCEntries | Key usage counter entry storage, size = sizeof(phKeyStore_Sw_KUCEntry_t) * wNumKUCEntries
  [in] | wNoOfKUCEntries | Number of Key usage counter entries.